Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class UserRoleImpl

    java.lang.Object
      de.uka.ipd.consensus.impl.UserRoleImpl

All Implemented Interfaces:
  Serializable, UserRole

public class UserRoleImpl
extends Object
implements UserRole

TODO

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  Serialized Form

Constructor Summary
`protected` | `UserRoleImpl(UserManager manager, String rolename, String description)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getDescription()` Returns a short human-readable description of the role.
`String` | `getRolename()` Returns the unique rolename, e.g.
`UserManager` | `getUserManager()` Returns the UserManager that manages the roles.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserRoleImpl

    protected UserRoleImpl(UserManager manager,
                           String rolename,
                           String description)

Method Detail

### getRolename

    public String getRolename()

  Description copied from interface: `UserRole`
  Returns the unique rolename, e.g. "admin".

  Specified by:
    `getRolename` in interface `UserRole`
  Returns:
    the name of the role

### getDescription

    public String getDescription()

  Description copied from interface: `UserRole`
  Returns a short human-readable description of the role.

  Specified by:
    `getDescription` in interface `UserRole`
  Returns:
    a short description of the role

### getUserManager

    public UserManager getUserManager()

  Description copied from interface: `UserRole`
  Returns the UserManager that manages the roles.

  Specified by:
    `getUserManager` in interface `UserRole`
  Returns:
    the UserManager instance

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD